#ifndef LCD_DIGITS_HH
#define LCD_DIGITS_HH

#define MAXSYMBOLS 91

char digit[MAXSYMBOLS][8][6] =
        {
                { // space
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     "},
                { // !
                "  0  ",
                "  O  ",
                "  O  ",
                "  O  ",
                "  O  ",
                "     ",
                "  O  ",
                "     "},
                { // "
                "     ",
                "     ",
                " O O ",
                " O O ",
                "     ",
                "     ",
                "     ",
                "     "},
                { // #
                " O O ",
                " O   ",
                "OOOOO",
                " O O ",
                "OOOOO",
                " O O ",
                " O O ",
                "     "},
                { // $
                "  O  ",
                " OOO ",
                "O   O",
                " OO  ",
                "  OO ",
                "    O",
                " OOO ",
                "  O  "},
                { // %
                " O   ",
                "O O O",
                " O O ",
                "  O  ",
                " O O ",
                "O O O",
                "   O ",
                "     "},
                { // &
                " OOO ",
                "O   O",
                " O   ",
                " OO  ",
                "O O  ",
                "O  O ",
                " OO O",
                "     "},
                { // '
                "  O  ",
                "  O  ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     "},
                { // (
                "   O ",
                "  O  ",
                " O   ",
                " O   ",
                " O   ",
                " O   ",
                "  O  ",
                "   O "},
                { // )
                " O   ",
                "  O  ",
                "   O ",
                "   O ",
                "   O ",
                "   O ",
                "  O  ",
                " O   "},
                { // *
                "  O  ",
                "O O O",
                " OOO ",
                "OOOOO",
                " OOO ",
                "O O O",
                "  O  ",
                "     "},
                { // +
                "     ",
                "  O  ",
                "  O  ",
                "OOOOO",
                "  O  ",
                "  O  ",
                "     ",
                "     "},
                { // ,
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "  O  ",
                " O   "},

                { // -
                "     ",
                "     ",
                "     ",
                " OOO ",
                "     ",
                "     ",
                "     ",
                "     "},
                { // .
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "  O  ",
                "     "},
                { // /
                "   O ",
                "   O ",
                "  O  ",
                "  O  ",
                " O   ",
                " O   ",
                "     ",
                "     "},
                { //
                "  O  ",
                " O O ",
                "O   O",
                "O   O",
                "O   O",
                " O O ",
                "  O  ",
                "     "},
                { // O
                "  O  ",
                " OO  ",
                "  O  ",
                "  O  ",
                "  O  ",
                "  O  ",
                " OOO ",
                "     "},
                { // 2
                " OOO ",
                "O   O",
                "    O",
                "  OO ",
                " O   ",
                "O    ",
                "OOOOO",
                "     "},
                { // 3
                " OOO ",
                "O   O",
                "    O",
                "  OO ",
                "    O",
                "O   O",
                " OOO ",
                "     "},
                {// 4
                "  OO ",
                " O O ",
                "O  O ",
                "OOOO ",
                "   O ",
                "   O ",
                "  OOO",
                "     "},
                {// 5
                "OOOOO",
                "O    ",
                "O    ",
                "OOOO ",
                "    O",
                "O   O",
                " OOO ",
                "     "},
                { // 6
                " OOO ",
                "O   O",
                "O    ",
                "OOOO ",
                "O   O",
                "O   O",
                " OOO ",
                "     "},
                { //7
                "OOOOO",
                "    O",
                "   O ",
                "  O  ",
                "  O  ",
                "  O  ",
                "  O  ",
                "     "},
                { // 8
                " OOO ",
                "O   O",
                "O   O",
                " OOO ",
                "O   O",
                "O   O",
                " OOO ",
                "     "},
                { // 9
                " OOO ",
                "O   O",
                "O   O",
                " OOOO",
                "    O",
                "    O",
                " OOO ",
                "     "},
                { // :
                "     ",
                "     ",
                "  O  ",
                "     ",
                "  O  ",
                "     ",
                "     ",
                "     "},
                { // ;
                "     ",
                "     ",
                "     ",
                "  O  ",
                "     ",
                "  O  ",
                "  O  ",
                " O   "},
                { // <
                "   O ",
                "  O  ",
                " O   ",
                "O    ",
                " O   ",
                "  O  ",
                "   O ",
                "     "},
                { // =
                "     ",
                "     ",
                " OOO ",
                "     ",
                " OOO ",
                "     ",
                "     ",
                "     "},
                { // >
                " O   ",
                "  O  ",
                "   O ",
                "    O",
                "   O ",
                "  O  ",
                " O   ",
                "     "},
                { // ?
                " OOO ",
                "O   O",
                "    O",
                "   O ",
                "  O  ",
                "     ",
                "  O  ",
                "     "},
                { // @
                " OOOO",
                "O   O",
                "O  OO",
                "O O O",
                "O  OO",
                "O    ",
                " OOO ",
                "     "},
                { // A
                "  O  ",
                " O O ",
                "O   O",
                "O   O",
                "OOOOO",
                "O   O",
                "O   O",
                "     ",
                },
                {
                "OOOO ",
                "O   O",
                "O   O",
                "OOOO ",
                "O   O",
                "O   O",
                "OOOO ",
                "     "},
                {
                " OOO ",
                "O   O",
                "O    ",
                "O    ",
                "O    ",
                "O   O",
                " OOO ",
                "     "},
                {
                "OOOO ",
                "O   O",
                "O   O",
                "O   O",
                "O   O",
                "O   O",
                "OOOO ",
                "     "},
                {
                "OOOOO",
                "O    ",
                "O    ",
                "OOOO ",
                "O    ",
                "O    ",
                "OOOOO",
                "     "},
                {
                "OOOOO",
                "O    ",
                "O    ",
                "OOOO ",
                "O    ",
                "O    ",
                "O    ",
                "     "},
                {
                " OOO ",
                "O   O",
                "O    ",
                "O  OO",
                "O   O",
                "O   O",
                " OOO ",
                "     "},
                {
                "O   O",
                "O   O",
                "O   O",
                "OOOOO",
                "O   O",
                "O   O",
                "O   O",
                "     "},
                {
                " OOO ",
                "  O  ",
                "  O  ",
                "  O  ",
                "  O  ",
                "  O  ",
                " OOO ",
                "     "},
                {
                "  OOO",
                "   O ",
                "   O ",
                "   O ",
                "O  O ",
                "O  O ",
                " OO  ",
                "     "},
                {
                "O   O",
                "O  O ",
                "O O  ",
                "OO   ",
                "O O  ",
                "O  O ",
                "O   O",
                "     "},
                {
                "O    ",
                "O    ",
                "O    ",
                "O    ",
                "O    ",
                "O    ",
                "OOOOO",
                "     "},
                {
                "O   O",
                "OO OO",
                "O O O",
                "O O O",
                "O   O",
                "O   O",
                "O   O",
                "     "},
                {
                "O   O",
                "OO  O",
                "O O O",
                "O O O",
                "O  OO",
                "O   O",
                "O   O",
                "     "},
                {
                " OOO ",
                "O   O",
                "O   O",
                "O   O",
                "O   O",
                "O   O",
                " OOO ",
                "     "},
                {
                "OOOO ",
                "O   O",
                "O   O",
                "OOOO ",
                "O    ",
                "O    ",
                "O    ",
                "     "},
                {
                " OOO ",
                "O   O",
                "O   O",
                "O   O",
                "O   O",
                "O  O ",
                " OO O",
                "     "},
                {
                "OOOO ",
                "O   O",
                "O   O",
                "OOOO ",
                "O O  ",
                "O  O ",
                "O   O",
                "     "},
                {
                " OOO ",
                "O   O",
                "O    ",
                " OOO ",
                "    O",
                "O   O",
                " OOO ",
                "     "},
                {
                "OOOOO",
                "  O  ",
                "  O  ",
                "  O  ",
                "  O  ",
                "  O  ",
                "  O  ",
                "     "},
                {
                "O   O",
                "O   O",
                "O   O",
                "O   O",
                "O   O",
                "O   O",
                " OOO ",
                "     "},
                {
                "O   O",
                "O   O",
                "O   O",
                "O   O",
                "O   O",
                " O O ",
                "  O  ",
                "     "},
                {
                "O   O",
                "O   O",
                "O   O",
                "O O O",
                "O O O",
                " O O ",
                " O O ",
                "     "},
                {
                "O   O",
                "O   O",
                " O O ",
                "  O  ",
                " O O ",
                "O   O",
                "O   O",
                "     "},
                {
                "O   O",
                "O   O",
                " O O ",
                "  O  ",
                "  O  ",
                "  O  ",
                "  O  ",
                "     "},
                {
                "OOOOO",
                "    O",
                "   O ",
                "  O  ",
                " O   ",
                "O    ",
                "OOOOO",
                "     "},
                {
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     "},

                {
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     "},
                {
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     "},
                {
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     "},
                {
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     "},
                {
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     ",
                "     "},


                {
                "     ",
                "     ",
                " OOO ",
                "    O",
                " OOOO",
                "O   O",
                " OOOO",
                "     "},
                {
                "0    ",
                "O    ",
                "O000 ",
                "O   0",
                "O   O",
                "O   O",
                "OOOO ",
                "     "},

                {
                "     ",
                "     ",
                " OOO ",
                "O   O",
                "O    ",
                "O   O",
                " OOO ",
                "     "},


                {
                "    0",
                "    O",
                " 000O",
                "0   O",
                "O   O",
                "O   O",
                " OOOO",
                "     "},
                {
                "     ",
                "     ",
                " OOO ",
                "O   O",
                "OOOOO",
                "O    ",
                " OOO ",
                "     "},
                {
                "   00",
                "  0  ",
                "  0  ",
                "  0  ",
                " O00 ",
                "  0  ",
                "  0  ",
                "     "},
                {
                "     ",
                "     ",
                " 000 ",
                "0   0",
                "O   O",
                " 000O",
                "    0",
                " OOO "},
                {
                "0    ",
                "0    ",
                "O000 ",
                "O   0",
                "O   0",
                "O   O",
                "O   O",
                "     "},
                {
                "  0  ",
                "     ",
                " 00  ",
                "  0  ",
                "  O  ",
                "  O  ",
                "  O  ",
                "     "},
                {
                "   0 ",
                "     ",
                "  000",
                "   0 ",
                "   O ",
                "   O ",
                "O  O ",
                " OO  "},
                {
                "     ",
                "O    ",
                "O O  ",
                "OO   ",
                "OO   ",
                "O O  ",
                "O  O ",
                "     "},
                {
                " 00  ",
                "  0  ",
                "  O  ",
                "  O  ",
                "  O  ",
                "  O  ",
                " OOO ",
                "     "},
                {
                "     ",
                "     ",
                "00 0 ",
                "0 0 0",
                "O O O",
                "O O O",
                "O O O",
                "     "},
                {
                "     ",
                "     ",
                "O OO ",
                " O  O",
                " O  O",
                " O  O",
                " O  O",
                "     "},
                {
                "     ",
                "     ",
                " OOO ",
                "O   O",
                "O   O",
                "O   O",
                " OOO ",
                "     "},
                {
                "     ",
                "     ",
                "O OO ",
                " O  O",
                " O  O",
                " O  0",
                " O00 ",
                " O   "},
                {
                "     ",
                "     ",
                " OO O",
                "O  O ",
                "O  O ",
                "0  O ",
                " 00O ",
                "   O "},
                {
                "     ",
                "     ",
                "O OO ",
                " O  O",
                " O   ",
                " O   ",
                " O   ",
                "     "},
                {
                "     ",
                "     ",
                " OOO0",
                "O    ",
                " OOO ",
                "    O",
                "0OOO ",
                "     "},
                {
                "     ",
                " 0   ",
                "0000 ",
                " 0   ",
                " 0   ",
                " 0   ",
                "  0O ",
                "     "},
                {
                "     ",
                "     ",
                "O   O",
                "O   O",
                "O   O",
                "O   O",
                " OOO ",
                "     "},
                {
                "     ",
                "     ",
                "O   O",
                "O   O",
                "O   O",
                " O O ",
                "  O  ",
                "     "},

                {
                "     ",
                "     ",
                "O   O",
                "O O O",
                "O O O",
                "O O O",
                " OOO ",
                "     "},
                {
                "     ",
                "     ",
                "O   O",
                " O O ",
                "  O  ",
                " O O ",
                "O   O",
                "     "},
                {
                "     ",
                "     ",
                "O   0",
                "O   0",
                "O   0",
                " OOO0",
                "    0",
                " OO0 "},
                {
                "     ",
                "     ",
                "OOOOO",
                "   O ",
                "  O  ",
                " O   ",
                "OOOOO",
                "     "}
        };

#endif

//eof


