/**************************************************************************************

        MUSTUXLIB - THE COMMON LIBRARY FOR ALL MUSTUX APPLICATIONS
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/

#include "MustuxDebugger.hh"
#include "MustuxJogMouseBoardAction.hh"


MustuxJogMouseBoardAction::MustuxJogMouseBoardAction()
        {
        }

MustuxJogMouseBoardAction::~MustuxJogMouseBoardAction()
        {
        }

void MustuxJogMouseBoardAction::set(QString newActionName ,
                                   int newActionType,
                                   int newKey1A,
                                   int newKey2A,
                                   int newKey1B,
                                   int newKey2B,
                                   bool newUseX,
                                   bool newUseY,
                                   bool newUseGrab,
                                   int newparameter
                                   )
        {
        name = newActionName;
        type = newActionType;
        press1_key1 = newKey1A;
        press1_key2 = newKey2A;
        press2_key1 = newKey1B;
        press2_key2 = newKey2B;
        useX = newUseX;
        useY = newUseY;
        useGrab = newUseGrab;
        isInstantaneous = false;
        parameter = newparameter;

        }


void MustuxJogMouseBoardAction::set_instantaneous(bool status)
        {
        isInstantaneous = status;
        }


// EOF


